summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Orlitzky <mjo@gentoo.org>2024-01-13 20:14:47 -0500
committerMichael Orlitzky <mjo@gentoo.org>2024-01-22 06:29:19 -0500
commit189ab328b042543c26d71ce5494d3819d6d8de8d (patch)
tree4078fe988075948e5f36fb5aaca7fe492baa1a5e
parentsci-mathematics/gap: update dev-util/valgrind -> dev-debug/valgrind (diff)
downloadgentoo-189ab328b042543c26d71ce5494d3819d6d8de8d.tar.gz
gentoo-189ab328b042543c26d71ce5494d3819d6d8de8d.tar.bz2
gentoo-189ab328b042543c26d71ce5494d3819d6d8de8d.zip
gap-pkg.eclass: add missing die
Suggested-by: Michał Górny <mgorny@gentoo.org> Signed-off-by: Michael Orlitzky <mjo@gentoo.org>
-rw-r--r--eclass/gap-pkg.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/gap-pkg.eclass b/eclass/gap-pkg.eclass
index f575b2e06e22..fb935c6f1044 100644
--- a/eclass/gap-pkg.eclass
+++ b/eclass/gap-pkg.eclass
@@ -393,7 +393,7 @@ gap-pkg_src_install() {
# usual "find" command doesn't work here because occasionally we
# find *.la files in GAP packages that are not libtool archives
# and should not be deleted.
- find "${ED%/}$(gap-pkg_dir)/bin" -type f -name '*.la' -delete
+ find "${ED%/}$(gap-pkg_dir)/bin" -type f -name '*.la' -delete || die
fi
}